%define upstream_name    CPAN-Recent-Uploads
%define upstream_version 0.08

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 6

Summary:    Retrieves recentfiles from a CPAN mirror
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        http://search.cpan.org/dist/%{upstream_name}
Source0:    http://www.cpan.org/modules/by-module/CPAN/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Carp)
BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Spec::Unix)
BuildRequires: perl(IO::Handle)
BuildRequires: perl(IPC::Open3)
BuildRequires: perl(LWP::UserAgent) >= 5.835.0
BuildRequires: perl(Test::More)
BuildRequires: perl(URI) >= 1.560.0
BuildRequires: perl(YAML::Syck) >= 1.150.0
BuildArch:  noarch

%description
CPAN::Recent::Uploads provides a mechanism for obtaining a list of the
RECENT uploads to 'CPAN' as determined from the files produced by the
File::Rsync::Mirror::Recentfile manpage that exist in the 'authors/'
directory on 'CPAN'.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor

%make

%check
%make test

%install
%makeinstall_std

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%perl_vendorlib/*

%changelog
* Sat Jun 18 2016 pterjan <pterjan> 0.80.0-6.mga6
+ Revision: 1024491
- Rebuild for perl 5.22.2

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-5.mga6
+ Revision: 937439
- Mageia 6 Mass Rebuild

* Fri Feb 05 2016 umeabot <umeabot> 0.80.0-4.mga6
+ Revision: 936998
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.80.0-3.mga5
+ Revision: 750283
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.80.0-2.mga5
+ Revision: 683685
- Mageia 5 Mass Rebuild

* Tue May 20 2014 jquelin <jquelin> 0.80.0-1.mga5
+ Revision: 624165
- update to 0.08

* Fri Oct 18 2013 umeabot <umeabot> 0.60.0-3.mga4
+ Revision: 509476
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.60.0-2.mga3
+ Revision: 363638
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Jul 08 2011 jquelin <jquelin> 0.60.0-1.mga2
+ Revision: 120344
- update to 0.06

* Thu Jan 13 2011 jquelin <jquelin> 0.20.0-1.mga2
+ Revision: 10296
- imported package perl-CPAN-Recent-Uploads


* Sat Dec 25 2010 Shlomi Fish <shlomif@mandriva.org> 0.20.0-1mdv2011.0
+ Revision: 625007
- import perl-CPAN-Recent-Uploads

